=== debian/changelog ===
zeroc-ice (3.4.2-8.2) unstable; urgency=high

  [Sebastian Ramacher]
  * Non-maintainer upload.
  * Install PHP extension to directory given by php5-config --extension-dir.
    (Closes: #701792)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Mar 2013 23:59:54 +0100

zeroc-ice (3.4.2-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert the patch 'fixing' the FTBFS with gcc-4.7 that breaks ABI, and
    add force_gcc_4.6.patch.  We need to do this all in the upstream makefile
    because it has a silly check for the intel icpc compiler that we need to
    patch around or the build will fail with anything but c++ as the compiler,
    and we can't just override CXX in /rules because the wonderful 3.0 (quilt)
    system will revert that patch before the clean target is run ensuring that
    hilarious fail is guaranteed.
    Closes: #672066

 -- Michael Ziegler <diese-addy@funzt-halt.net>  Sat, 07 Jul 2012 15:24:30 +0200

zeroc-ice (3.4.2-8) unstable; urgency=low

  * Bug fix: "FTBFS: Handle.h:66:13: error: upCast was not
    declared in this scope, and no declarations were found by
    argument-dependent lookup at the point of instantiation
    [-fpermissive]", thanks to Lucas Nussbaum (Closes: #672066).
    + Using patch from ZeroC (thanks to Matthias Klose).
    + Minor changes to patch.
  * Bug fix: "Should not build-depend on libncurses5-dev", thanks to Sven
    Joachim (Closes: #651276).
  * Added mono-gmcs as build-dep.
 -- Cleto Martín <cleto.martin@gmail.com>  Sat, 19 May 2012 18:40:18 +0200

zeroc-ice (3.4.2-7.2) unstable; urgency=low

  * Non-maintainer upload
  * Fix FTBFS with PHP 5.4 (Closes: #662621)
    + Pull PHP 5.4 patch from 'http://www.zeroc.com/forums/patches/5603-
      ice-php-php-5-4-patch.html' (Courtesy of Fedora and ZeroC ICE team)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Mar 2012 17:07:07 +0100

zeroc-ice (3.4.2-7.1) unstable; urgency=low

  * Non-maintainer upload
  * No-change rebuild to pick up on the latest version of Mono
    (Closes: #656761).

 -- Jo Shields <directhex@apebox.org>  Wed, 25 Jan 2012 00:03:25 +0000

zeroc-ice (3.4.2-7) unstable; urgency=low

  * Updated version at debian/watch.
  * Bug fix: "FTBFS: cp: cannot stat
    "debian/tmp/usr/bin/icegridregistry: No such file or directory",
    thanks to Sven Joachim (Closes: #646169).
  * Bug fix: "DLL path error in Ice-3.4.pc", thanks to David Villa Alises
    (Closes: #649730).
  * Bug fix: "it should depend on libjgoodies-forms-java", thanks to David
    Villa Alises (Closes: #643264).

 -- Cleto Martín <cleto.martin@gmail.com>  Tue, 06 Dec 2011 17:11:17 +0100

zeroc-ice (3.4.2-6) unstable; urgency=low

  * Fixed broken link.

 -- Francisco Moya <paco@debian.org>  Wed, 09 Nov 2011 16:37:10 +0100

zeroc-ice (3.4.2-5) unstable; urgency=low

  * Fixed IceGridGUI compilation with proguard.
  * Included missing Freeze.jar in libzeroc-ice3.4-java.

 -- Francisco Moya <paco@debian.org>  Wed, 09 Nov 2011 15:14:31 +0100

zeroc-ice (3.4.2-4) unstable; urgency=low

  * Bug fix: "IcePHP.so in wrong directory", thanks to Duna Zoltán
    (Closes: #635527).
  * Bug fix: "missing several php-files of source like Ice.PHP and
    generated PHPs of ICEs", thanks to forscher (Closes: #635519).

 -- Cleto Martín <cleto.martin@gmail.com>  Fri, 05 Aug 2011 17:19:23 +0200

zeroc-ice (3.4.2-3) unstable; urgency=low

  * Bug fix: "Missing slice2php", thanks to Duna Zoltán (Closes: #632083).

 -- Cleto Martín <cleto.martin@gmail.com>  Sun, 03 Jul 2011 19:26:16 +0200

zeroc-ice (3.4.2-2) unstable; urgency=low

  * Bug fix: "Ice.getSliceDir return None", thanks to Miguel Ángel
    Martínez Pinedo (Closes: #631792). Bug due to wrong version at
    debian/ice34-slices.install file.

 -- Cleto Martín <cleto.martin@gmail.com>  Mon, 27 Jun 2011 20:26:20 +0200

zeroc-ice (3.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #631456).

 -- Cleto Martín <cleto.martin@gmail.com>  Sat, 25 Jun 2011 19:44:26 +0200

zeroc-ice (3.4.1-8) unstable; urgency=low

  * Bug fix: "FTBFS: ../../include/Ice/Buffer.h:41:17: error:
    'ptrdiff_t' does not name a type", thanks to Lucas Nussbaum
    (Closes: #625042).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Mon, 02 May 2011 20:53:24 +0200

zeroc-ice (3.4.1-7) unstable; urgency=low

  * Bug fix: "libdb5.1-java.jar was renamed to db.jar", thanks to Ondřej
    Surý (Closes: #623555).
  * Bug fix: "causes noise in php5", thanks to Jayen Ashar (Closes:
    #623533).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Mon, 25 Apr 2011 18:44:24 +0200

zeroc-ice (3.4.1-6) unstable; urgency=low

  * Bug fix: default value in number of processors.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Mon, 11 Apr 2011 09:51:08 +0200

zeroc-ice (3.4.1-5) unstable; urgency=low

  * libdb4.8 dependencies -> libdb5.1. Bug fix: "Still uses libdb4.8",
    thanks to Ondřej Surý (Closes: #621445).
  * Adding '-j' option for parallel building.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Fri, 08 Apr 2011 16:36:07 +0200

zeroc-ice (3.4.1-4) unstable; urgency=low

  * patches/zeroc-ice-3.4.1_archs.patch now is general to any
    architecture. Thanks to Francisco.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Wed, 06 Apr 2011 13:55:23 +0200

zeroc-ice (3.4.1-3) unstable; urgency=low

  * Bug fix: "FTBFS on armel: error: #error 'Unknown
    architecture'", thanks to Riku Voipio (Closes: #613850).
  * jgoodies-plastic.jar is now needed in java-part building process.
  * Little bug fix while creating php/lib in rules-php.mk.

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Fri, 01 Apr 2011 20:40:18 +0200

zeroc-ice (3.4.1-2) unstable; urgency=high

  * Bug fix: "libzeroc-ice3.4-java and libzeroc-ice3.3-java: error when
	  trying to install together", thanks to Ralf Treinen (Closes: #612495).
  * Patch for SH4 arch applied. Thanks to Nobuhiro Iwamatsu (Closes: #612368).

 -- Cleto Martin Angelina <cleto.martin@gmail.com>  Thu, 10 Feb 2011 14:46:43 +0100


