=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: Francisco Moya <paco@debian.org>
Uploaders: Cleto Martín <cleto.martin@gmail.com>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), quilt,
 patchutils (>= 0.2.25), libdb++-dev, libmcpp-dev (>=
 2.7.1), libreadline-gplv2-dev, libexpat1-dev, libssl-dev, libbz2-dev,
 zlib1g-dev | libz-dev, python-all-dev (>= 2.3.5-11), python-support
 (>= 0.3), php5-dev, ruby1.8-dev, ruby1.8, libqt4-dev, g++-4.6
Build-Depends-Indep: cli-common-dev (>= 0.4.4),
 mono-devel | c-sharp-2.0-compiler, libmono2.0-cil, pkg-config,
 default-jdk | java-gcj-compat, proguard (>= 4.1),
 libdb5.1-java (>= 5.1.4~) | libdb-java (>= 5.1.4~), ant, ant-optional,
 libjgoodies-forms-java, libjgoodies-looks-java, mono-gmcs
Standards-Version: 3.9.3
Homepage: http://www.zeroc.com/

Package: zeroc-ice34
Architecture: all
Section: devel
Provides: zeroc-ice
Replaces: zeroc-ice, zeroc-ice32, zeroc-ice33
Conflicts: zeroc-ice, zeroc-ice32, zeroc-ice33
Depends: ice34-services (>= ${binary:Version}),
 ice34-translators (>= ${binary:Version}),
 ice34-slice (>= ${binary:Version}),
 libzeroc-ice34-dev (>= ${binary:Version}),
 libzeroc-ice3.4-cil (>= ${binary:Version}),
 python-zeroc-ice (>= ${binary:Version}),
 php-zeroc-ice (>= ${binary:Version}),
 libzeroc-ice3.4-java (>= ${binary:Version}),
 icegrid-gui (>= ${binary:Version}),
 ${misc:Depends}
Recommends: libzeroc-ice34-dbg (>= ${binary:Version})
Description: Internet Communications Engine
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This metapackage contains dependencies for all Ice related packages.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: ice34-translators
Architecture: any
Section: devel
Provides: ice-translators, slice2cpp, slice2py, slice2cs, slice2java,
 slice2vb, slice2rb, slice2freeze, slice2freezej, slice2docbook, slice2html
Conflicts: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 slice2freeze, slice2freezej, slice2docbook, slice2html,
 ice-translators, ice32-translators, ice33-translators
Replaces: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 slice2freeze, slice2freezej, slice2docbook, slice2html,
 ice-translators, ice32-translators, ice33-translators
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slice translators to several languages
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package contains all the Slice translators (slice2cpp, slice2py,
 slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
 slice2freezej, slice2docbook, and slice2html).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: ice34-services
Architecture: any
Section: devel
Provides: ice-services, icestorm, icegrid, icepatch2, glacier2, freeze
Replaces: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 freeze, ice-services, ice32-services, ice33-services
Conflicts: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 freeze, ice-services, ice32-services, ice33-services
Depends: icebox (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Services bundled into ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package contains binaries for all Ice services (IceGrid,
 IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: libicestorm34
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing an event service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceStorm related libraries, an asynchronous
 event propagation service provided by Ice.  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: libicegrid34
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing grid-like services for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceGrid related libraries, a complete grid
 management solution included in Ice. This service was formerly known
 as IcePack.  You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libicebox34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a plugin framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related libraries, a general purpose
 plug-in based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: icebox
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin-based meta-application for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related utilities, a general purpose
 plugin-based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libicepatch2-34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a distribution service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IcePatch2 related libraries, a remote
 filesystem synchronization framework included in Ice.  You will find
 further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libglacier2-34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a firewall service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the Glacier2 related libraries, a firewall
 solution for Ice applications.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: libfreeze34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a persistence framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: libicedb34
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for persistent backends for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: ice34-slice
Architecture: all
Section: devel
Provides: ice-slice
Replaces: ice-slice, ice32-slice, ice33-slice
Conflicts: ice-slice, ice32-slice, ice33-slice
Depends: ${misc:Depends}
Description: Slice definitions for Ice 3.4 services
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package installs the Slice definitions of standard Ice services
 on /usr/share/slice.  You will find further information in the ZeroC
 home page (http://www.zeroc.com/ice.html) and in the non-free package
